package com.oo.eye;

import com.oo.eye.bean.StudentBean;

import java.util.List;

/**
 * Created by xucon on 2017/12/22.
 */

public class EyeConfig {

	public static final String EYE_SETTING_KEY = "eye_setting_key";//小数法/五分法
	public static final int EYE_SETTING_1= 1;//小数法
	public static final int EYE_SETTING_5 = 5;//五分法
	public static final String EYE_DISTANCE_SETTING_KEY = "eye_distance_setting_key";//测试距离
	public static final int EYE_DISTANCE_2 = 2;//距离2.5米
	public static final int EYE_DISTANCE_5 = 5;//距离5米
	public static final String EYE_DIRECTION_SETTING_KEY = "eye_direction_setting_key";//C字视标
	public static final String EYE_WAIT_SETTING_KEY = "eye_setting_wait_key";//测视等待时长
	public static final String EYE_REPORT_SETTING_KEY = "eye_report_setting_key";//检视报告
	public static final String EYE_HELP_SETTING_KEY = "eye_setting_help_key";//测视帮助

	private boolean isNetData = false;

	private List<StudentBean> mStudents;

	private static EyeConfig instance = new EyeConfig();

	private EyeConfig(){

	}

	public static EyeConfig getInstance(){
		return instance;
	}

	public boolean isNetData() {
		return isNetData;
	}

	public void setNetData(boolean netData) {
		isNetData = netData;
	}

	public List<StudentBean> getStudents() {
		return mStudents;
	}

	public void setStudents(List<StudentBean> students) {
		mStudents = students;
	}
}
